# Gitlab CI Script for astrocyte/rnaseq
# Brandi L. Cantarel - 2017

variables:
  GIT_SUBMODULE_STRATEGY: normal

before_script:
  - module load astrocyte/1.0.0
  - module load nextflow/20.01.0
  - module load singularity/3.5.3

stages:
  - check
  - test_human
  - test_mouse

# This performs validation of the astrocyte_pkg.yml file
astrocyte_check:
  stage: check
  script:
  - astrocyte_cli check "$CI_PROJECT_DIR" 

test_human:
  stage: test_human
  script:
    - nextflow run -c workflow/configs/nextflow.config -with-dag flowchart.png -with-timeline human_timeline.html -with-report human_report.html workflow/main.nf --design  /project/shared/bicf_workflow_ref/workflow_testdata/rnaseq/design.rnaseq.txt --input  /project/shared/bicf_workflow_ref/workflow_testdata/rnaseq --output human_output
  artifacts:
    expire_in: 2 days

test_mouse:
  stage: test_mouse
  script:
    - nextflow run -c workflow/configs/nextflow.config -with-dag flowchart.png -with-timeline mouse_timeline.html -with-report mouse_report.html  workflow/main.nf --input  /project/shared/bicf_workflow_ref/workflow_testdata/rnaseq --design /project/shared/bicf_workflow_ref/workflow_testdata/rnaseq/mouse_se.design.txt --pairs se --fusion skip --genome /project/shared/bicf_workflow_ref/mouse/GRCm38 --markdups null --output mouse_output
  artifacts:
    expire_in: 2 days
